Functions.WebAppsUpdateBackupConfigurationSlotViaIdentity(String, IBackupRequest, Func<HttpResponseMessage,Task<IBackupRequest>,Task>, Func<HttpResponseMessage,Task<IDefaultErrorResponse>,Task>, IEventListener, ISendAsync) Method
Definition
Important
Some information relates to prerelease product that may be substantially modified before it’s released. Microsoft makes no warranties, express or implied, with respect to the information provided here.
public System.Threading.Tasks.Task WebAppsUpdateBackupConfigurationSlotViaIdentity (string viaIdentity, Microsoft.Azure.PowerShell.Cmdlets.Functions.Models.Api20190801.IBackupRequest body, Func<System.Net.Http.HttpResponseMessage,System.Threading.Tasks.Task<Microsoft.Azure.PowerShell.Cmdlets.Functions.Models.Api20190801.IBackupRequest>,System.Threading.Tasks.Task> onOk, Func<System.Net.Http.HttpResponseMessage,System.Threading.Tasks.Task<Microsoft.Azure.PowerShell.Cmdlets.Functions.Models.Api20190801.IDefaultErrorResponse>,System.Threading.Tasks.Task> onDefault, Microsoft.Azure.PowerShell.Cmdlets.Functions.Runtime.IEventListener eventListener, Microsoft.Azure.PowerShell.Cmdlets.Functions.Runtime.ISendAsync sender);
member this.WebAppsUpdateBackupConfigurationSlotViaIdentity : string * Microsoft.Azure.PowerShell.Cmdlets.Functions.Models.Api20190801.IBackupRequest * Func<System.Net.Http.HttpResponseMessage, System.Threading.Tasks.Task<Microsoft.Azure.PowerShell.Cmdlets.Functions.Models.Api20190801.IBackupRequest>, System.Threading.Tasks.Task> * Func<System.Net.Http.HttpResponseMessage, System.Threading.Tasks.Task<Microsoft.Azure.PowerShell.Cmdlets.Functions.Models.Api20190801.IDefaultErrorResponse>, System.Threading.Tasks.Task> * Microsoft.Azure.PowerShell.Cmdlets.Functions.Runtime.IEventListener * Microsoft.Azure.PowerShell.Cmdlets.Functions.Runtime.ISendAsync -> System.Threading.Tasks.Task
Public Function WebAppsUpdateBackupConfigurationSlotViaIdentity (viaIdentity As String, body As IBackupRequest, onOk As Func(Of HttpResponseMessage, Task(Of IBackupRequest), Task), onDefault As Func(Of HttpResponseMessage, Task(Of IDefaultErrorResponse), Task), eventListener As IEventListener, sender As ISendAsync) As Task
Parameters
- viaIdentity
- String
- body
- IBackupRequest
- onDefault
- Func<HttpResponseMessage,Task<IDefaultErrorResponse>,Task>
- eventListener
- IEventListener
- sender
- ISendAsync